import React from 'react';
import Image from "next/image";
import {Divider} from "antd";

const Location = ({location}) => {
    return (
        <div>
            <div className={'flex flex-col items-center gap-4'}>
                <Image src={'/assets/images/location.svg'} width={80} height={80} alt={'location'}/>

                <div className={'text-center'}>
                    <h1 className={'font-bold'}>{location?.data?.[0]?.name}</h1>
                    <p className={'text-sm text-[#B7BAC2]'}>{location?.data?.[0]?.address}</p>
                </div>
            </div>

            <Divider dashed className={'my-2 border-[#c1c1c1]'} style={{width: '2px 0 0'}}/>
        </div>
    )
}

export default Location;
